import { MiniGameSdk } from "./MiniGameSdk";
const { ccclass, property } = cc._decorator;


@ccclass
export class DouyinEntranceView extends cc.Component {
    start() {

    }

    update(deltaTime: number) {

    }

    onCloseClick() {
        if (this.node) {
            this.node.active = false;
        }
    }

    onNavigateToDouyinClick() {

        MiniGameSdk.BytedanceSidebar.navigateToSidebar((success: boolean) => { // 跳转到抖音侧边栏
            if (success) {
                console.log('跳转成功');
            } else {
                console.log('跳转失败');
            }
        });
    }
}
